Subject: Refresher Training Required
From: Marika Fujita <[email-masked]>
To: pritish <[email-masked]>
Date: Thu, 13 May 2021 02:30:39 -0700 (MST)

Hi Pritish, 

I would like to review how to update the firmware on Gaming Suite for GSP 370, GSP 670, GSX 300 and GTW 270. 

Customers ask how to do it by phone but I am not sure because I do not have the headset and I never seen the screen that customer is looking at when they are trying to update the firmware. I want to see what message is showing and the steps. 

Also, recovery tool for GSP 370. 

Thank you! 

Best regards, 
Marika